Debian Bug report logs - #645656
gnome-core: please re-soften the network-manager-gnome dependency

version graph

Package: gnome-core; Maintainer for gnome-core is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-core is src:meta-gnome3.

Reported by: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>

Date: Mon, 17 Oct 2011 15:57:01 UTC

Severity: serious

Found in versions meta-gnome3/1:3.0+2, meta-gnome3/1:3.0+6

Fixed in version meta-gnome3/1:3.4+2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Mon, 17 Oct 2011 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 17 Oct 2011 15:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: submit@bugs.debian.org
Subject: gnome-core: please re-soften the network-manager-gnome dependency
Date: Mon, 17 Oct 2011 17:54:36 +0200
[Message part 1 (text/plain, inline)]
Package: gnome-core                      
Version: 1:3.0+2
Severity: minor

Hello,

in the gnome2 -> gnome3 transition gnome's dependency to
network-manager-gnome and hence all the network-manager-bloat moved (and
hardened) from
	gnome recommends network-manager-gnome
to 
	gnome-core depends network-manager-gnome
Was this intentional? The Debian ChangeLog doesn't state anything about
it. And would it be a big issue to soften this back to recommends?


Thanks for your work & best regards
   Mario
-- 
Jene, die grundlegende Freiheit aufgeben wuerden, um eine geringe
voruebergehende Sicherheit zu erwerben, verdienen weder Freiheit noch
Sicherheit.
                                     -- Benjamin Franklin (1706-1790)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Mon, 17 Oct 2011 18:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 645656@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 17 Oct 2011 18:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 645656@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>, 645656@bugs.debian.org
Subject: Re: Bug#645656: gnome-core: please re-soften the network-manager-gnome dependency
Date: Mon, 17 Oct 2011 20:39:22 +0200
[Message part 1 (text/plain, inline)]
Le lundi 17 octobre 2011 à 17:54 +0200, Mario 'BitKoenig' Holbe a
écrit : 
> in the gnome2 -> gnome3 transition gnome's dependency to
> network-manager-gnome and hence all the network-manager-bloat moved (and
> hardened) from
> 	gnome recommends network-manager-gnome
> to 
> 	gnome-core depends network-manager-gnome
> Was this intentional? The Debian ChangeLog doesn't state anything about
> it. And would it be a big issue to soften this back to recommends?

NetworkManager is now a part of the core GNOME modules as published
upstream, so we are only following this move.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Tue, 18 Oct 2011 12:54:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 18 Oct 2011 12:54:39 GMT) Full text and rfc822 format available.

Message #15 received at 645656@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: 645656@bugs.debian.org
Subject: Re: Bug#645656: gnome-core: please re-soften the network-manager-gnome dependency
Date: Tue, 18 Oct 2011 14:52:05 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 17, 2011 at 08:39:22PM +0200, Josselin Mouette wrote:
> Le lundi 17 octobre 2011 à 17:54 +0200, Mario 'BitKoenig' Holbe a
> > 	gnome recommends network-manager-gnome
> > to 
> > 	gnome-core depends network-manager-gnome
> NetworkManager is now a part of the core GNOME modules as published
> upstream, so we are only following this move.

Since you left the bug open, I still have a spark of hope there is some
room for discussion :) And I hope for other users to jump in and express
their seconds.

I understand your point about following upstream wrt. integration of
NetworkManager. Unfortunately, this effectively disables all of Debian's
alternatives for managing network interfaces. I'm sure this is fine for
the average user, but it denies the - well, more experienced user from
chosing alternatives.
I'm not exactly sure about the benefits of a hard depends over a soft
recommends here - especially now where apt and aptitude default to
automatically pulling recommends. Due to this I believe there is no
difference for the average user in this situation, but switching back to
recommends would leave others a choice.

Just to draw the whole picture a bit more detailed...
network-manager-gnome pulls network-manager which pulls dialup-stuff
never needed on workstations, and wireless stuff - also never needed on
workstations. Of course, a few packages more or less don't really matter
on a machine where Gnome ist installed. But those are packages I have to
care about because they try to care about me.
Some of that stuff I can get rid of - at the price of a bunch of
unresolved recommends instead of just one before and at the price of
a bunch of warnings in syslog at each boot. Some of that stuff I can't
get rid of. Of course, I can build a dummy network-manager-gnome package
to get rid of the rest as well, but I wish I wouldn't have to.
NetworkManager modifies my network/interfaces effectively taking over
control of network interfaces from ifupdown without my knowledge and
without my notice. Of course, this isn't your fault and I should address
that to network-manager. It's just part of the whole picture. (aside
from me being quite sure, the network-manager maintainer will tell me
this way is best for the average user and I can revert it if I want to)


Thanks for your work, thanks for not closing the bug immediately, sorry
for the long reply and best regards
   Mario
-- 
Doing it right is no excuse for not meeting the schedule.
                                -- Plant Manager, Delphi Corporation
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Mon, 31 Oct 2011 16:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 31 Oct 2011 16:39:07 GMT) Full text and rfc822 format available.

Message #20 received at 645656@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 645656@bugs.debian.org
Subject: network-manager in Gnome
Date: Mon, 31 Oct 2011 16:37:09 +0000
I agree with the original submitter of this bug that network-manager
needs to be optional.  In particular, gnome-core should not pull it
in.  What can be done in Debian's gnome-core to fix this ?

What happens if the network-manager package is forcibly removed ?

Thanks,
Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Tue, 01 Nov 2011 10:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to 645656@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 01 Nov 2011 10:27:13 GMT) Full text and rfc822 format available.

Message #25 received at 645656@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Ian Jackson <ijackson@chiark.greenend.org.uk>, 645656@bugs.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Tue, 01 Nov 2011 10:59:01 +0100
[Message part 1 (text/plain, inline)]
Le lundi 31 octobre 2011 à 16:37 +0000, Ian Jackson a écrit : 
> I agree with the original submitter of this bug that network-manager
> needs to be optional.  In particular, gnome-core should not pull it
> in.  What can be done in Debian's gnome-core to fix this ?

There’s nothing to fix. NM is now part of the official moduleset for the
core GNOME desktop.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Tue, 01 Nov 2011 12:54:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 01 Nov 2011 12:54:18 GMT) Full text and rfc822 format available.

Message #30 received at 645656@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: debian-devel@lists.debian.org
Cc: 645656@bugs.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Tue, 1 Nov 2011 12:31:26 +0000
Josselin Mouette writes ("Bug#645656: network-manager in Gnome"):
> Le lundi 31 octobre 2011 à 16:37 +0000, Ian Jackson a écrit : 
> > I agree with the original submitter of this bug that network-manager
> > needs to be optional.  In particular, gnome-core should not pull it
> > in.  What can be done in Debian's gnome-core to fix this ?
> 
> There?s nothing to fix. NM is now part of the official moduleset for the
> core GNOME desktop.

I would like to ask you to reconsider this approach.  network-manager
is not acceptable to many Debian users, and those users should be able
to use Gnome.  In particular, I would like to know what will go wrong
if network-manager is removed and what can be done to mitigate that.

Saying that "this is now officially part of Gnome" is no answer at
all.  Just because Gnome upstream do something doesn't mean we have to
do it too.

CC debian-devel, in the hope that others will be able to provide
useful information.  (I don't run Gnome myself.)

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Tue, 01 Nov 2011 13:06:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 01 Nov 2011 13:06:22 GMT) Full text and rfc822 format available.

Message #35 received at 645656@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: debian-devel@lists.debian.org
Cc: 645656@bugs.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Tue, 01 Nov 2011 14:06:51 +0100
On 11/01/2011 01:31 PM, Ian Jackson wrote:
> Josselin Mouette writes ("Bug#645656: network-manager in Gnome"):
>> Le lundi 31 octobre 2011 à 16:37 +0000, Ian Jackson a écrit : 
>>> I agree with the original submitter of this bug that network-manager
>>> needs to be optional.  In particular, gnome-core should not pull it
>>> in.  What can be done in Debian's gnome-core to fix this ?
>>
>> There?s nothing to fix. NM is now part of the official moduleset for the
>> core GNOME desktop.
> 
> I would like to ask you to reconsider this approach.  network-manager
> is not acceptable to many Debian users, and those users should be able
> to use Gnome.  In particular, I would like to know what will go wrong
> if network-manager is removed and what can be done to mitigate that.

Your /etc/resolv.conf will probably not be what you want when removing
network-manager. Apart from that I personally had no issues.

> Saying that "this is now officially part of Gnome" is no answer at
> all.  Just because Gnome upstream do something doesn't mean we have to
> do it too.

True, though most of the reasons that made network-manager unacceptable
to many Debian users are solved in the meantime. network-manager does
not stop networking anymore during upgrades for instance. It would be
good to solve the last remaining ones too (one of them being the
resolv.conf issue mentioned above) IMHO.

Cheers

Luk

PS: For people upgrading to Gnome 3 it might be interesting to know
there is something called gnome-tweak-tool to be able to configure
'advanced' settings.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Tue, 01 Nov 2011 13:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 01 Nov 2011 13:18:08 GMT) Full text and rfc822 format available.

Message #40 received at 645656@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 645656@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Tue, 1 Nov 2011 14:14:26 +0100
Le Tue, 1 Nov 2011 12:31:26 +0000,
Ian Jackson <ijackson@chiark.greenend.org.uk> a écrit :

> Josselin Mouette writes ("Bug#645656: network-manager in Gnome"):
> > Le lundi 31 octobre 2011 à 16:37 +0000, Ian Jackson a écrit : 
> > > I agree with the original submitter of this bug that
> > > network-manager needs to be optional.  In particular, gnome-core
> > > should not pull it in.  What can be done in Debian's gnome-core
> > > to fix this ?
> > 
> > There?s nothing to fix. NM is now part of the official moduleset
> > for the core GNOME desktop.
> 
> I would like to ask you to reconsider this approach.  network-manager
> is not acceptable to many Debian users, and those users should be able
> to use Gnome.  In particular, I would like to know what will go wrong
> if network-manager is removed and what can be done to mitigate that.
> 
> Saying that "this is now officially part of Gnome" is no answer at
> all.  Just because Gnome upstream do something doesn't mean we have to
> do it too.

Well as already said, gnome-core meta-package depends on official core
GNOME modules, which network-manager is part of. If you don't want to
install network-manager, don't install gnome-core meta-package.

About the consequences on applications if NM is not running/installed,
they should consider that the network is available, if they don't it's
a bug on their side.

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Tue, 01 Nov 2011 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 01 Nov 2011 13:45:07 GMT) Full text and rfc822 format available.

Message #45 received at 645656@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 645656@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Tue, 1 Nov 2011 13:42:47 +0000
Laurent Bigonville writes ("Bug#645656: network-manager in Gnome"):
> Well as already said, gnome-core meta-package depends on official core
> GNOME modules, which network-manager is part of. If you don't want to
> install network-manager, don't install gnome-core meta-package.

Is there some other metapackage that can be installed to get a useful
Gnome system but without n-m ?

> About the consequences on applications if NM is not running/installed,
> they should consider that the network is available, if they don't it's
> a bug on their side.

Yes, that much is obvious.  So the answer is that there is no harm in
actually removing network-manager.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Fri, 04 Nov 2011 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean Charles Delepine <delepine@u-picardie.fr>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 04 Nov 2011 00:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 645656@bugs.debian.org (full text, mbox):

From: Jean Charles Delepine <delepine@u-picardie.fr>
To: Laurent Bigonville <bigon@debian.org>
Cc: 645656@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Fri, 4 Nov 2011 01:11:07 +0100
Laurent Bigonville <bigon@debian.org> écrivait (wrote) :

> Well as already said, gnome-core meta-package depends on official core
> GNOME modules, which network-manager is part of. If you don't want to
> install network-manager, don't install gnome-core meta-package.

I don't want to have to know which packages I have to install to have a
fonctionnal gnome desktop. So I want to install gnome and I want it to
install a gnome desktop.

During last upgrade network-manager does break things on my station (home
theater, gnome desktop, kids game station, kvm server, 2 net providers, 
vpn, dmz,  local lan, ... you don't want to know). It was working before
network-manager, it works now with
         echo exit > /etc/defaul/NetworkManager 

I need gnome and I need network. My network.

apt defaults to install all recommands, gnome works fine without 
network-manager-gnome, network-manager-gnome depends network-manager and 
network-manager breaks some unusual installations.

http://www.debian.org/doc/debian-policy/ch-relationships.html :
Recommends
    This declares a strong, but not absolute, dependency.
    The Recommends field should list packages that would be found 
     together with this one in all but unusual installations.

This field has been done for network-manager-gnome !

Sincerly,
     Jean Charles Delépine
-- 
Pour la neutralité de Net, contre Hadopi2, la Loppsi et d'autres lois           
liberticides, soutenez la Quadrature du Net.                                    
              http://www.laquadrature.net/Soutien2010





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Fri, 04 Nov 2011 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 04 Nov 2011 17:27:04 GMT) Full text and rfc822 format available.

Message #55 received at 645656@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: debian-devel@lists.debian.org
Cc: 645656@bugs.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Fri, 04 Nov 2011 18:17:32 +0100
[Message part 1 (text/plain, inline)]
Hi.

I've also had/have several times problems with those meta pacakges
forcing me to install stuff I don't like (or I consider even unsecure).

NM is surely an example of this (just grep CVE in the changelog).

Another one is gnome-bluetooth... there are so many systems which don't
have bluetooth at all,... and you have to install many stuff and daemons
that eat up performance just for nothing.
In gnome2 I' just made an empty equivs package for this,... but gnome3
(well at least gnome-shell) does not even work anymore without
gnome-bluetooth
Now you cannot even disable the applet in the panels that shows you the
annyoing bluethoot logo and eats up precious panel space...


Nevertheless,.. why cant you make the metapackages to make more use of
recommends instead of depends.
If there's something that's really crucial for gnome, even for a minimal
core version of gnome, like dconf/gconf, nautilus, the libs, and things
like that, use depends,... for things like eog/evince or stuff like NM,
which gnome runs without, make recommends.


Not sure about how to handle things like pulseaudio... I never needed it
in gnome2, and all my applications just ran fine.
Now I need it, and actually, gnome3's mixer applet does not run
correctly without..
So I've installed it,... and now my sound makes crackling noise...
*sigh*



Guess it would be good (and typical for Debian) not to force users too
much on something, at least if possible.


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Fri, 04 Nov 2011 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 04 Nov 2011 19:57:03 GMT) Full text and rfc822 format available.

Message #60 received at 645656@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: debian-devel@lists.debian.org, 645656@bugs.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Fri, 04 Nov 2011 20:55:24 +0100
]] Christoph Anton Mitterer 

| I've also had/have several times problems with those meta pacakges
| forcing me to install stuff I don't like (or I consider even unsecure).
| 
| NM is surely an example of this (just grep CVE in the changelog).

One CVE in the seven years it's been in the archive?  If you take into
account the attack surface of it, that's a pretty good record.  Or do
you consider tools such as openssh (14 CVEs in 11 years) and eglibc (7
CVEs in 11 years) insecure?


[...]

| In gnome2 I' just made an empty equivs package for this,... but gnome3
| (well at least gnome-shell) does not even work anymore without
| gnome-bluetooth

[...]

| Nevertheless,.. why cant you make the metapackages to make more use of
| recommends instead of depends.

…

So since gnome-shell actually needs gnome-bluetooth, the dependency
should be demoted to a Recommends?

| If there's something that's really crucial for gnome, even for a minimal
| core version of gnome, like dconf/gconf, nautilus, the libs, and things
| like that, use depends,... for things like eog/evince or stuff like NM,
| which gnome runs without, make recommends.

I believe the Gnome packaging team would be happy to accept more members
if somebody wants to work on this and keep maintaining it.

[...]

| So I've installed it,... and now my sound makes crackling noise...
| *sigh*

I suggest you file a bug about it so it can be fixed.  (I didn't find
one filed by you at least, but I didn't look very hard.)

Cheers,
-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Fri, 04 Nov 2011 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 04 Nov 2011 20:42:03 GMT) Full text and rfc822 format available.

Message #65 received at 645656@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 645656@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Fri, 04 Nov 2011 21:38:57 +0100
Le vendredi 04 novembre 2011 à 18:17 +0100, Christoph Anton Mitterer a
écrit : 
> Nevertheless,.. why cant you make the metapackages to make more use of
> recommends instead of depends.

Because doing so is like ensuring there will be some systems that don’t
work correctly, wasting our time on bug reports that can be fixed just
by installing the missing recommends.

Worse, it would let metapackages migrate to testing without the
appropriate dependencies.

Metapackages are not a supermarket. We get requests from people who want
to replace rhythmbox with banshee, tomboy with gnote, evolution with
mutt, or whatnot. Guess what? It’s hard enough maintaining good
metapackages. Those who ask are obviously skilled enough to install what
they need; metapackages are here for those who want GNOME, not “GNOME
without mono” or “GNOME without evolution”.

> Not sure about how to handle things like pulseaudio... I never needed it
> in gnome2, and all my applications just ran fine.

Guess what? It took a lot of effort on our side to make this happen. We
didn’t want to ship PA by default while upstream requested it and the
technology was not ready.

> Now I need it, and actually, gnome3's mixer applet does not run
> correctly without..
> So I've installed it,... and now my sound makes crackling noise...

Are you running the latest kernel? There have been a lot of fixes in
drivers for PA, and it’s now working on almost all systems (of course
there are still unlucky ones).

The same holds for NM. Most criticism has been inherited from version
0.6 which was full of design flaws. Upstream and us made this a
dependency now because we believe it will be easier to fix the remaining
bugs than to support different underlying subsystems.

And I find our criteria for doing so are way different from Fedora’s.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Sat, 05 Nov 2011 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 05 Nov 2011 18:36:03 GMT) Full text and rfc822 format available.

Message #70 received at 645656@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Tollef Fog Heen <tfheen@err.no>
Cc: debian-devel@lists.debian.org, 645656@bugs.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Sat, 05 Nov 2011 19:33:35 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-11-04 at 20:55 +0100, Tollef Fog Heen wrote:
> So since gnome-shell actually needs gnome-bluetooth, the dependency
> should be demoted to a Recommends?
Well but then it would be enough for gnome-shell to depend on it.

And one should perhaps try to, whether it's easy to patch it, that it
does not longer depend on it, cause this is really stupid.

And yes I know Stefan's argument, that we're just packagers... but we
change/improve so many things... why not here, if upstream makes stupid
decisions.


> I believe the Gnome packaging team would be happy to accept more members
> if somebody wants to work on this and keep maintaining it.
You shouln't take my comments as criticism or offense on the gnome
packagers... they do a great job and I guess most people appreciate
this.
Gut given that we know that they're quite competent and given that (in
the view of many people) upstream has gone a bit mad... it's not
unreasonable to ask them, to give the users their freedom back.


> I suggest you file a bug about it so it can be fixed.  (I didn't find
> one filed by you at least, but I didn't look very hard.)
No I haven't yet... I suffer from so many small and nasty problems since
gnome3, that I even don't know where to start.
And most of the "bugs" are upstream anyway and I guess we all know their
stance on "more features/functionality".



I mean we all know the heavy criticism that takes place upstream, about
GNOME shell, etc.
It's surely not useful to repeat this here.
No matter who's right, one thing is certain IMHO... all the "old" ways
(like having panels and so)... or e.g. not having NM, but managing this
e.g. via ifupdown alone... were proven workflows for years or decades.
Forcing users to switch because upstream believes it know better, is not
just wrong, but also arrogant.





On Fri, 2011-11-04 at 21:38 +0100, Josselin Mouette wrote:
> Because doing so is like ensuring there will be some systems that
don’t
> work correctly, wasting our time on bug reports that can be fixed just
> by installing the missing recommends.
> 
> Worse, it would let metapackages migrate to testing without the
> appropriate dependencies.

I don't see why.
E.g. I installed my gnome-core without gnome-packagekit... and it works
just fine... and I'm also quite sure that there's no need for many other
things (epiphany,.. etc. etc.) I've configured to be never used, and
gnome never somehow started automagically.



> Are you running the latest kernel? There have been a lot of fixes in
> drivers for PA, and it’s now working on almost all systems (of course
> there are still unlucky ones).
3.0.0...



> The same holds for NM. Most criticism has been inherited from version
> 0.6 which was full of design flaws. Upstream and us made this a
> dependency now because we believe it will be easier to fix the
remaining
> bugs than to support different underlying subsystems.

Well but then you admit,... that it was not added because it's really
needed, aren't you?!
And btw: I use NM now too on my notebooks, I reported things to the BTS
which for me still don't work,... but nevertheless, I don't like people
being more or less "forced" to use it.

And what starts as deps in meta-packages easily out-grows to real hard
deps from other packages.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Sat, 05 Nov 2011 21:51:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tollef Fog Heen <tfheen@err.no>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 05 Nov 2011 21:51:15 GMT) Full text and rfc822 format available.

Message #75 received at 645656@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@err.no>
To: debian-devel@lists.debian.org, 645656@bugs.debian.org
Subject: Re: Bug#645656: network-manager in Gnome
Date: Sat, 05 Nov 2011 22:09:03 +0100
]] Christoph Anton Mitterer 

(please don't Cc me on mails to lists, it's rude and against the mailing
list etiquette)

[...]

| > I believe the Gnome packaging team would be happy to accept more members
| > if somebody wants to work on this and keep maintaining it.
|
| You shouln't take my comments as criticism or offense on the gnome
| packagers... they do a great job and I guess most people appreciate
| this.

What else are we supposed to take it as?  It's hardly praise.

[...]

| > I suggest you file a bug about it so it can be fixed.  (I didn't find
| > one filed by you at least, but I didn't look very hard.)
|
| No I haven't yet... I suffer from so many small and nasty problems since
| gnome3, that I even don't know where to start.
| And most of the "bugs" are upstream anyway and I guess we all know their
| stance on "more features/functionality".

I doubt crackling noise is considered a feature or more functionality,
so I have no idea how that would apply here.

Cheers,
-- 
Tollef Fog Heen
UNIX is user friendly, it's just picky about who its friends are




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Sat, 07 Jan 2012 01:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nate Bargmann <n0nb@n0nb.us>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 07 Jan 2012 01:54:05 GMT) Full text and rfc822 format available.

Message #80 received at 645656@bugs.debian.org (full text, mbox):

From: Nate Bargmann <n0nb@n0nb.us>
To: 645656@bugs.debian.org
Subject: Re: Bug#645656: gnome-core: please re-soften the network-manager-gnome dependency
Date: Fri, 6 Jan 2012 19:42:38 -0600
Another reason that gnome-core should not have a hard dependency on
network manager is that nm is simply not ready for prime time.  My issue
with it stems from its inability to stream audio via pulse audio to
another server acting as a sink over wireless without choppiness or
coninuous network drop-outs.  My work-around consists of renaming the
S03network-manager symlinks in the /etc/rc[2-5].d directories to
K03network-manager to prevent nm from even starting.  Then I use WiCD to
manage my connections and have experienced no network drop-outs.

As I see it, a recommends of nm, wicd, or whatever to statisfy a network
dependency of gnome-core could be employed to avoid klunky work-arounds
as above or removal of the gnome-core package.

- Nate >>

-- 

"The optimist proclaims that we live in the best of all
possible worlds.  The pessimist fears this is true."

Ham radio, Linux, bikes, and more: http://www.n0nb.us




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Sat, 07 Jan 2012 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 07 Jan 2012 06:45:03 GMT) Full text and rfc822 format available.

Message #85 received at 645656@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Nate Bargmann <n0nb@n0nb.us>, 645656@bugs.debian.org
Subject: Re: Bug#645656: gnome-core: please re-soften the network-manager-gnome dependency
Date: Sat, 07 Jan 2012 07:43:02 +0100
[Message part 1 (text/plain, inline)]
Am 07.01.2012 02:42, schrieb Nate Bargmann:
> Another reason that gnome-core should not have a hard dependency on
> network manager is that nm is simply not ready for prime time.  My issue
> with it stems from its inability to stream audio via pulse audio to

NM has nothing to do with streaming audio via pulse audio.

> another server acting as a sink over wireless without choppiness or
> coninuous network drop-outs.

network drop-outs might be related to driver issues and NM using
different code paths then wicd/ifupdown. NM uses the nl80211 subsystem
for wireless devices (where possible) and wicd might still be using a
different driver interface.
But then, I don't use wicd, so I can't tell for sure.

> 
> As I see it, a recommends of nm, wicd, or whatever to statisfy a network
> dependency of gnome-core could be employed to avoid klunky work-arounds
> as above or removal of the gnome-core package.
> 

Not convincing arguments.

As Joss repeatedly said, meta-packages are not super market.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Mon, 09 Jan 2012 09:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 09 Jan 2012 09:45:15 GMT) Full text and rfc822 format available.

Message #90 received at 645656@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Debian Bug Tracking System <645656@bugs.debian.org>
Subject: Re: gnome-core: please re-soften the network-manager-gnome dependency
Date: Mon, 09 Jan 2012 10:45:21 +0100
Package: gnome-core
Version: 1:3.0+6
Followup-For: Bug #645656

Hi,

I am also voting for softening the dependency of gnome/gnome-core since the
hard dependency is a problem for corporate environments.

We have deployed Debian on ~100 clients and we're using a static network
configuration for several reasons:

1. It's not possible to completely disable user changes to network manager.
   While it is possible to prevent the user from changing any of the connections
   via PolicyKit, there doesn't seem to be any way from preventing a user
   from disconnecting a connection in Network Manager. This is not acceptable
   for the desktops on our network since the clients always have to be
   accessible externally and we're using NFS shares on the clients, especially
   the home directories. So, if a user disconnects in Network Manager, the
   client computer becomes unusable.

   Also, Network Manager is usually started too late during bootup so
   that services like NTP, NIS and autofs fail.

2. While it is possible to prevent Network Manager from managing local interfaces
   by providing a configuration for these interfaces in /etc/network/interfaces,
   Network Manager will insist that there is no network connection and thus
   applications like Pidgin and Evolution will claim that the computer is
   not connected to the internet. The only way to solve this problem is to
   stop Network Manager through /etc/init.d/network-manager stop.

So there are definitely reasons why the hard dependency on the package
network-manager should be softened unless the aforementioned problems are
solved.

Also, it would be nice to be able to prevent Network Manager from starting
by adding an appropriate setting to /etc/default/network-manager.

Regards,

Adrian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Mon, 09 Jan 2012 11:29:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to 645656@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 09 Jan 2012 11:29:07 GMT) Full text and rfc822 format available.

Message #95 received at 645656@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 645656@bugs.debian.org
Subject: Re: Bug#645656: gnome-core: please re-soften the network-manager-gnome dependency
Date: Mon, 09 Jan 2012 12:27:44 +0100
Le lundi 09 janvier 2012 à 10:45 +0100, John Paul Adrian Glaubitz a
écrit : 
> I am also voting for softening the dependency of gnome/gnome-core since the
> hard dependency is a problem for corporate environments.

Sorry but this is not a popularity contest.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'
  `-





Added blocking bug(s) of 645656: 681834 and 681783 Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Tue, 17 Jul 2012 14:15:09 GMT) Full text and rfc822 format available.

Added indication that bug 645656 blocks 685746 Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Fri, 24 Aug 2012 08:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#645656; Package gnome-core. (Mon, 17 Sep 2012 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 17 Sep 2012 13:00:03 GMT) Full text and rfc822 format available.

Message #104 received at 645656@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 645656@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: #645656: gnome-core: please re-soften the network-manager-gnome dependency
Date: Mon, 17 Sep 2012 13:57:21 +0100
severity 645656 serious
unblock 685746 by 645656
thanks

The Technical Committee has passed the resolution below, overruling
the decision of the gnome-core maintainers.  So this bug needs to be
upgraded.

To the gnome-core maintainers: how would you like to proceed ?  Do you
intend to do an upload to implement the TC decision ?  If you prefer
not to then that's fine; in that case an NMU to DELAYED would be
appropriate.

I have set the severity of this bug to "serious" to reflect paragraph
8 of the TC decision.

Thanks,
Ian.

=====

Whereas:

1. The gnome-core metapackage is intended to reflect the core of the
   GNOME desktop environment: the basic tools and subsystems that
   together constitute GNOME.  The gnome metapackage is intended to
   reflect the broader desktop environment, including extra components
   and applications.

2. network-manager is the GNOME network control system, and is
   recommended for most GNOME users.  Some Debian GNOME users don't like
   some of network-manager's behavior and prefer to instead use other
   tools, either basic ifupdown or other frameworks such as wicd.

3. In squeeze, the gnome metapackage lists network-manager in Recommends
   but not Depends.  In wheezy, currently, network-manager has moved from
   gnome to gnome-core, and from Recommends to Depends.  This represents
   a substantially increased insistance that users of the GNOME
   metapackages have network-manager installed; specifically, there is no
   longer any way to install any but the most minimal GNOME metapackage
   (gnome-session) without installing network-manager, and users who have
   gnome or gnome-core installed but have removed or never installed
   network-manager will have network-manager installed during an upgrade
   from squeeze.

4. For most applications and components, the only drawback of this would
   be some additional disk space usage, since the application, despite
   being installed, wouldn't need to be used.  However, network-manager
   assumes that, if it is installed, it should attempt to manage the
   system's network configuration.  It attempts to avoid overriding local
   manual configuration, but it isn't able to detect all cases where the
   user is using some other component or system to manage networking.
   The user has to take separate, explicit (and somewhat unusual for the
   average user) action to disable network-manager after it has been
   installed.

5. The Technical Committee believes that this will cause undesireable
   behavior for upgrades from squeeze, and (of somewhat lesser
   importance) will make it more difficult than necessary for GNOME users
   to swap network management components, something for which there
   appears to be noticable demand.  We therefore believe that
   network-manager should be moved to Recommends in gnome-core.

6. Please note that this is not a general statement about GNOME
   components.  It is very specific to network-manager because all of the
   following apply:

   (i) The package takes action automatically because it is installed,
      rather than being a component that can either be run or not at the
      user's choice.

   (ii) The package has historically been recommended rather than listed
      as a dependency, so existing Debian users are used to that
      behavior and will expect it to be preserved during upgrades.

   (ii) There is both demonstrable, intentional widespread replacement of
      that package by Debian GNOME users and no significant loss of
      unrelated GNOME desktop functionality by replacing it with a
      different component.

   If any of these points did not apply, the situation would be
   significantly different.

Therefore:

7. The Technical Committee overrules the decision of the gnome-core
   metapackage maintainers.  The dependency from gnome-core to
   network-manager-gnome should be downgraded to Recommends.

8. The Technical Committee requests that the Release Managers unblock
  the update to implement this decision, so that this change may be
  released in wheezy.

=====



Severity set to 'serious' from 'minor' Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Mon, 17 Sep 2012 13:00:05 GMT) Full text and rfc822 format available.

Removed indication that bug 645656 blocks 685746 Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Mon, 17 Sep 2012 13:00:05 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sat, 22 Sep 2012 10:21:07 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Sat, 22 Sep 2012 10:21:07 GMT) Full text and rfc822 format available.

Message #113 received at 645656-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 645656-close@bugs.debian.org
Subject: Bug#645656: fixed in meta-gnome3 1:3.4+2
Date: Sat, 22 Sep 2012 10:17:32 +0000
Source: meta-gnome3
Source-Version: 1:3.4+2

We believe that the bug you reported is fixed in the latest version of
meta-gnome3, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645656@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated meta-gnome3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 22 Sep 2012 11:58:56 +0200
Source: meta-gnome3
Binary: gnome-core gnome gnome-desktop-environment gnome-platform-devel gnome-core-devel gnome-devel gnome-dbg gnome-api-docs
Architecture: source all amd64
Version: 1:3.4+2
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 gnome      - Full GNOME Desktop Environment, with extra components
 gnome-api-docs - API reference documentation for the GNOME libraries
 gnome-core - GNOME Desktop Environment -- essential components
 gnome-core-devel - GNOME Desktop Environment -- development components
 gnome-dbg  - debugging symbols for the GNOME desktop environment
 gnome-desktop-environment - The GNOME Desktop Environment - transitional package
 gnome-devel - GNOME Desktop Environment -- development tools
 gnome-platform-devel - GNOME development platform
Closes: 645656 681757
Changes: 
 meta-gnome3 (1:3.4+2) unstable; urgency=low
 .
   * Depend on g-tweak-tool, it is too useful to be left out.
   * Update epochs on a pair of dependencies.
   * Add architecture tweaks for unavailable packages: rygel, aisleriot,
     seed. Closes: #681757.
   * Move network-manager dependency to gnome. Only recommend it in
     gnome-core. This should be in compliance with the Crusade.
     Closes: #645656.
Checksums-Sha1: 
 ab29a98d42a9f7479a422787a755e7c7f4613d83 1535 meta-gnome3_3.4+2.dsc
 8d3f487929f8646d07f05df7c5f4bb18eb71f174 23051 meta-gnome3_3.4+2.tar.gz
 8efdc3227995ddf208e35c9055df5374c9a1d78c 19380 gnome-desktop-environment_3.4+2_all.deb
 60e04f4d3998d9a35addd972e7469f09972b3f37 19434 gnome-devel_3.4+2_all.deb
 f067020fba59e5dccd960c6ef39e68855fe3a311 19570 gnome-api-docs_3.4+2_all.deb
 b9640739ae7ffc17c96cb124bd496bd9260bac9c 20796 gnome-core_3.4+2_amd64.deb
 1f17028c21e9d55ef63006fc2345e0d7f5a53df1 20770 gnome_3.4+2_amd64.deb
 004c3007ed4118f35fcbfc8798cd2456587f9359 19616 gnome-platform-devel_3.4+2_amd64.deb
 fa2ccb797ae5a6493c8bab9ff4fd1af714f7e31c 20136 gnome-core-devel_3.4+2_amd64.deb
 99d92cf338af2455095f98603ed80afa827f1290 19452 gnome-dbg_3.4+2_amd64.deb
Checksums-Sha256: 
 a9c275c6fcaec97e3c6b028ba0e00a4a4e30db1f8fc343e114d614528541f2c2 1535 meta-gnome3_3.4+2.dsc
 5e68233522a80f479d642c1d3f716e03f61eb2659d4d4d9703e1b72e8f075c92 23051 meta-gnome3_3.4+2.tar.gz
 e0782c02c65d59c256265df6ff2620c8e51c76688b564d84acfcc1475b5d13a9 19380 gnome-desktop-environment_3.4+2_all.deb
 5af11beaab6e011a3c59e9e7233e8441ff87ec83c7af1071ea6b1f85d7fdaf0a 19434 gnome-devel_3.4+2_all.deb
 5359b7a88c84cd2de0e9d29848d24509302e2f26a2a995c860762f9921d789e7 19570 gnome-api-docs_3.4+2_all.deb
 1c29f45bde9668412db25ff4e1acec675e9ea3e6f949e7fc1f0107e9bd05c87c 20796 gnome-core_3.4+2_amd64.deb
 ad6777b889495a4d1f2a2cb925638124b7839a6554e9f2e8a3a864fc6931a6b1 20770 gnome_3.4+2_amd64.deb
 5450910e870e84a3d4b6f4a9b7fa4e3b01ad2e4590f8dc5a641e6b331b654971 19616 gnome-platform-devel_3.4+2_amd64.deb
 a2cbfec95f410e5563f76ce81aff772e98a6ccf2dee972281bedf3a96ea1d967 20136 gnome-core-devel_3.4+2_amd64.deb
 aab5c94d47b20265f049f53eaf9a450206604bfa08324fba54718daf77c3e39c 19452 gnome-dbg_3.4+2_amd64.deb
Files: 
 f431f4603c31b709b333069ede7d4cd0 1535 metapackages optional meta-gnome3_3.4+2.dsc
 3e842ab0c44e99d0e407b8bbe826029a 23051 metapackages optional meta-gnome3_3.4+2.tar.gz
 d78230f70b04004be53f45f9aeb90fd7 19380 oldlibs extra gnome-desktop-environment_3.4+2_all.deb
 089e797c42b0409379d080fa933b2e11 19434 devel optional gnome-devel_3.4+2_all.deb
 d41f4e5ff98ba3d0b450b547ea230a8f 19570 doc optional gnome-api-docs_3.4+2_all.deb
 80026d3e907f7bf885e797b39d25d9b9 20796 metapackages optional gnome-core_3.4+2_amd64.deb
 b0d3e4dac415307facb8be87b23e30b0 20770 metapackages optional gnome_3.4+2_amd64.deb
 fd67a4a25d2ad56638f01e65accfc548 19616 devel optional gnome-platform-devel_3.4+2_amd64.deb
 d3ad0ea1ce75e465da7115dcce7f5c20 20136 devel optional gnome-core-devel_3.4+2_amd64.deb
 fcfdd040fba420c3ab8e4d4a62469fef 19452 debug extra gnome-dbg_3.4+2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFQXY1hrSla4ddfhTMRAjEEAKCLGTO7j/RA3t5xcNaNTqOIwUgD9gCgzO70
qO6cbX9K0wOk0jVh9E5KavI=
=OOzf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Oct 2012 07:27:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:37:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.